Bug 467670 - Keyboard and mouse freeze after the first reboot
Keyboard and mouse freeze after the first reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-20 02:02 EDT by Vaggelis Meintanis
Modified: 2009-12-18 01:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:36:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vaggelis Meintanis 2008-10-20 02:02:14 EDT
Description of problem:

I have tried to install Fedora 10 beta on my system. Installation was successful until after the first reboot, when keyboard and mouse become unresponsive as soon as I press any key or I attempt to move the mouse in the welcoming screen. Action on either the keyboard or mouse will disable both.

Do note that I can boot with the 'single' option into text mode and I can see my system and use the terminal.

I had seen this problem again with Fedora 8. I was too busy to deal with it and I installed Ubuntu, which works fine. Currently Ubuntu 8.04 is installed on separate drive and no problems were ever encountered in my system.

Version-Release number of selected component (if applicable):

Fedora 10 beta

How reproducible:

Always

Steps to Reproduce:
1. Install from DVD
2. Reboot as prompted
3. Attempt to use the mouse or keyboard on the graphical interface
  
Actual results:

Keyboard and mouse become unresponsive

Expected results:

Being able to control the pointer with my mouse and type with the keyboard

Additional info:

Please let me know what you need and provide information on how exactly to get it. Finishing my dissertation so I cannot promise timely responses, but will do my best to help make the new release even better.

I was asked to guess what component this bug may be relevant too. Picked kernel.
Comment 1 Vaggelis Meintanis 2008-10-22 22:46:47 EDT
Some additional notes:

Keyboard and mouse work normally if I disable CPU hyperthreading (this is a Pentium 4 system with a hyperthreading processor). I have been able to complete the graphical installation and get to the gnome desktop.

Unfortunately, after a few minutes of web surfing the whole system freezes, and a hard reboot is required.

The solution of running with hyperthreading off is clearly not particularly appealing, but I thought it may point to something.

The system has just been updated and rebooted with no different results.
Comment 2 Robert Nichols 2008-11-10 22:41:44 EST
Same problem, same workaround (disable Hyperthreading). Motherboard is an Asus P4S800. With Hyperthreading enabled, I can't even get past firstboot since the system locks up as soon as I type 1 character into the Create User screen.

Some processor info:

vendor_id	: GenuineIntel
cpu family	: 15
model		: 4
model name	: Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping	: 9
cpu MHz		: 3000.103
cache size	: 1024 KB
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe constant_tsc up pebs bts pni monitor ds_cpl cid xtpr

The kernel detects the keyboard and mouse as:
PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input3
Comment 3 Robert Nichols 2008-11-11 08:43:14 EST
Adding "maxcpus=1" as a kernel parameter is also a workaround, which at least avoids having to change BIOS parameters on a multi-boot system.
Comment 4 Vaggelis Meintanis 2008-11-11 14:14:26 EST
It looks like the problem is with something on the motherboard. My system:

Motherboard: P4S800D-X
Processor: Intel(R) Pentium(R) 4 CPU 2.80GHz, model 3, stepping 4, family 15
Mouse: USB connected
Keyboard: USB connected
Graphics: ATI Radeon 9600XT
Hard Drives: 1 SATA, 1 PATA
Optical drives: 1SATA (DVD-RW), 1 PATA (DVD-ROM)

maxcpus=1 working for me too. For new users who may be wondering, from the grub loader screen (the first screen that comes up after BIOS) pick the kernel version you want to boot with but press 'e' for edit rather than 'Enter'. You'll be shown three lines, the kernel line is the one you want to edit. go to it and press 'e' again. Your cursor will be at the end of the line. Add maxcpus=1 to the line and press 'Enter'. You'll be brought to the previous screen. Press 'b' to boot with the altered options.

The frustrating part is that Ubuntu has been working fine all along (currently using 8.10).
Comment 5 Bug Zapper 2008-11-25 23:01:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Kyle Evans 2009-10-21 23:32:11 EDT
I'm running the Fedora 12 beta and this is still happening.  This bug has been around for at least 2-3 releases.  To fix it set the boot parameter 'noapic'.
Comment 7 Bug Zapper 2009-11-18 02:56:57 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:36:24 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.